Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Class XQConstants

    java.lang.Object
      net.sf.saxon.javax.xml.xquery.XQConstants

    public class XQConstants

extends Object

XQJ interfaces reconstructed from version 0.5 documentation

Field Summary
`static int` | `BOUNDARY_SPACE_PRESERVE`
`static int` | `BOUNDARY_SPACE_STRIP`
`static int` | `CONSTRUCTION_MODE_PRESERVE`
`static int` | `CONSTRUCTION_MODE_STRIP`
`static int` | `COPY_NAMESPACES_MODE_INHERIT`
`static int` | `COPY_NAMESPACES_MODE_NO_INHERIT`
`static int` | `COPY_NAMESPACES_MODE_NO_PRESERVE`
`static int` | `COPY_NAMESPACES_MODE_PRESERVE`
`static int` | `DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_GREATEST`
`static int` | `DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_LEAST`
`static int` | `HOLDTYPE_CLOSE_CURSORS_AT_COMMIT`
`static int` | `HOLDTYPE_HOLD_CURSORS_OVER_COMMIT`
`static int` | `LANGTYPE_XQUERY`
`static int` | `LANGTYPE_XQUERYX`
`static int` | `ORDERING_MODE_ORDERED`
`static int` | `ORDERING_MODE_UNORDERED`
`static int` | `RESULTTYPE_READ_ONLY`
`static int` | `SCROLLTYPE_FORWARD_ONLY`
`static int` | `SCROLLTYPE_SCROLLABLE`

Constructor Summary
`XQConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOUNDARY_SPACE_PRESERVE

    public static final int BOUNDARY_SPACE_PRESERVE

See Also:
  Constant Field Values

### BOUNDARY_SPACE_STRIP

    public static final int BOUNDARY_SPACE_STRIP

See Also:
  Constant Field Values

### CONSTRUCTION_MODE_PRESERVE

    public static final int CONSTRUCTION_MODE_PRESERVE

See Also:
  Constant Field Values

### CONSTRUCTION_MODE_STRIP

    public static final int CONSTRUCTION_MODE_STRIP

See Also:
  Constant Field Values

### COPY_NAMESPACES_MODE_INHERIT

    public static final int COPY_NAMESPACES_MODE_INHERIT

See Also:
  Constant Field Values

### COPY_NAMESPACES_MODE_NO_INHERIT

    public static final int COPY_NAMESPACES_MODE_NO_INHERIT

See Also:
  Constant Field Values

### COPY_NAMESPACES_MODE_NO_PRESERVE

    public static final int COPY_NAMESPACES_MODE_NO_PRESERVE

See Also:
  Constant Field Values

### COPY_NAMESPACES_MODE_PRESERVE

    public static final int COPY_NAMESPACES_MODE_PRESERVE

See Also:
  Constant Field Values

### DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_GREATEST

    public static final int DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_GREATEST

See Also:
  Constant Field Values

### DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_LEAST

    public static final int DEFAULT_ORDER_FOR_EMPTY_SEQUENCES_LEAST

See Also:
  Constant Field Values

### HOLDTYPE_CLOSE_CURSORS_AT_COMMIT

    public static final int HOLDTYPE_CLOSE_CURSORS_AT_COMMIT

See Also:
  Constant Field Values

### HOLDTYPE_HOLD_CURSORS_OVER_COMMIT

    public static final int HOLDTYPE_HOLD_CURSORS_OVER_COMMIT

See Also:
  Constant Field Values

### LANGTYPE_XQUERY

    public static final int LANGTYPE_XQUERY

See Also:
  Constant Field Values

### LANGTYPE_XQUERYX

    public static final int LANGTYPE_XQUERYX

See Also:
  Constant Field Values

### ORDERING_MODE_ORDERED

    public static final int ORDERING_MODE_ORDERED

See Also:
  Constant Field Values

### ORDERING_MODE_UNORDERED

    public static final int ORDERING_MODE_UNORDERED

See Also:
  Constant Field Values

### RESULTTYPE_READ_ONLY

    public static final int RESULTTYPE_READ_ONLY

See Also:
  Constant Field Values

### SCROLLTYPE_FORWARD_ONLY

    public static final int SCROLLTYPE_FORWARD_ONLY

See Also:
  Constant Field Values

### SCROLLTYPE_SCROLLABLE

    public static final int SCROLLTYPE_SCROLLABLE

See Also:
  Constant Field Values

Constructor Detail

### XQConstants

    public XQConstants()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.